Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.emory.mathcs.backport.java.util.concurrent
Interface ConcurrentNavigableMap

All Superinterfaces:
  ConcurrentMap, java.util.Map, NavigableMap, java.util.SortedMap

All Known Implementing Classes:
  ConcurrentSkipListMap

public interface ConcurrentNavigableMap
extends ConcurrentMap, NavigableMap

A `ConcurrentMap` supporting `NavigableMap` operations, and recursively so for its navigable sub-maps.

This interface is a member of the Java Collections Framework.

Since:
  1.6
Author:
  Doug Lea

Nested Class Summary

Nested classes inherited from class java.util.Map
`java.util.Map.Entry`

Method Summary
`NavigableSet` | `descendingKeySet()` Returns a reverse order `NavigableSet` view of the keys contained in this map.
`NavigableMap` | `descendingMap()` Returns a reverse order view of the mappings contained in this map.
`java.util.SortedMap` | `headMap(java.lang.Object toKey)` Equivalent to .
`NavigableMap` | `headMap(java.lang.Object toKey, boolean inclusive)` Returns a view of the portion of this map whose keys are less than (or equal to, if is true) .
`java.util.Set` | `keySet()` Returns a `NavigableSet` view of the keys contained in this map.
`NavigableSet` | `navigableKeySet()` Returns a `NavigableSet` view of the keys contained in this map.
`NavigableMap` | `subMap(java.lang.Object fromKey, boolean fromInclusive, java.lang.Object toKey, boolean toInclusive)` Returns a view of the portion of this map whose keys range from to .
`java.util.SortedMap` | `subMap(java.lang.Object fromKey, java.lang.Object toKey)` Equivalent to .
`java.util.SortedMap` | `tailMap(java.lang.Object fromKey)` Equivalent to .
`NavigableMap` | `tailMap(java.lang.Object fromKey, boolean inclusive)` Returns a view of the portion of this map whose keys are greater than (or equal to, if is true) .

Methods inherited from interface edu.emory.mathcs.backport.java.util.concurrent.ConcurrentMap
`putIfAbsent, remove, replace, replace`

Methods inherited from interface java.util.Map
`clear, containsKey, containsValue, entrySet, equals, get, hashCode, isEmpty, put, putAll, remove, size, values`

Methods inherited from interface edu.emory.mathcs.backport.java.util.NavigableMap
`ceilingEntry, ceilingKey, firstEntry, floorEntry, floorKey, higherEntry, higherKey, lastEntry, lowerEntry, lowerKey, pollFirstEntry, pollLastEntry`

Methods inherited from interface java.util.SortedMap
`comparator, firstKey, lastKey`

Method Detail

### subMap

    public NavigableMap subMap(java.lang.Object fromKey,
                               boolean fromInclusive,
                               java.lang.Object toKey,
                               boolean toInclusive)

  Description copied from interface: `NavigableMap`
  Returns a view of the portion of this map whose keys range from to . If and are equal, the returned map is empty unless and are both true. The returned map is backed by this map, so changes in the returned map are reflected in this map, and vice-versa. The returned map supports all optional map operations that this map supports.

  The returned map will throw an on an attempt to insert a key outside of its range, or to construct a submap either of whose endpoints lie outside its range.

  Specified by:
    `subMap` in interface `NavigableMap`
  Parameters:
    `fromKey` - low endpoint of the keys in the returned map
    `fromInclusive` - if the low endpoint is to be included in the returned view
    `toKey` - high endpoint of the keys in the returned map
    `toInclusive` - if the high endpoint is to be included in the returned view
  Returns:
    a view of the portion of this map whose keys range from to
  Throws:
    `java.lang.ClassCastException` - if and cannot be compared to one another using this map's comparator (or, if the map has no comparator, using natural ordering). Implementations may, but are not required to, throw this exception if or cannot be compared to keys currently in the map.
    `java.lang.NullPointerException` - if or is null and this map does not permit null keys
    `java.lang.IllegalArgumentException` - if is greater than ; or if this map itself has a restricted range, and or lies outside the bounds of the range

### headMap

    public NavigableMap headMap(java.lang.Object toKey,
                                boolean inclusive)

  Description copied from interface: `NavigableMap`
  Returns a view of the portion of this map whose keys are less than (or equal to, if is true) . The returned map is backed by this map, so changes in the returned map are reflected in this map, and vice-versa. The returned map supports all optional map operations that this map supports.

  The returned map will throw an on an attempt to insert a key outside its range.

  Specified by:
    `headMap` in interface `NavigableMap`
  Parameters:
    `toKey` - high endpoint of the keys in the returned map
    `inclusive` - if the high endpoint is to be included in the returned view
  Returns:
    a view of the portion of this map whose keys are less than (or equal to, if is true)
  Throws:
    `java.lang.ClassCastException` - if is not compatible with this map's comparator (or, if the map has no comparator, if does not implement `Comparable`). Implementations may, but are not required to, throw this exception if cannot be compared to keys currently in the map.
    `java.lang.NullPointerException` - if is null and this map does not permit null keys
    `java.lang.IllegalArgumentException` - if this map itself has a restricted range, and lies outside the bounds of the range

### tailMap

    public NavigableMap tailMap(java.lang.Object fromKey,
                                boolean inclusive)

  Description copied from interface: `NavigableMap`
  Returns a view of the portion of this map whose keys are greater than (or equal to, if is true) . The returned map is backed by this map, so changes in the returned map are reflected in this map, and vice-versa. The returned map supports all optional map operations that this map supports.

  The returned map will throw an on an attempt to insert a key outside its range.

  Specified by:
    `tailMap` in interface `NavigableMap`
  Parameters:
    `fromKey` - low endpoint of the keys in the returned map
    `inclusive` - if the low endpoint is to be included in the returned view
  Returns:
    a view of the portion of this map whose keys are greater than (or equal to, if is true)
  Throws:
    `java.lang.ClassCastException` - if is not compatible with this map's comparator (or, if the map has no comparator, if does not implement `Comparable`). Implementations may, but are not required to, throw this exception if cannot be compared to keys currently in the map.
    `java.lang.NullPointerException` - if is null and this map does not permit null keys
    `java.lang.IllegalArgumentException` - if this map itself has a restricted range, and lies outside the bounds of the range

### subMap

    public java.util.SortedMap subMap(java.lang.Object fromKey,
                                      java.lang.Object toKey)

  Description copied from interface: `NavigableMap`

  Equivalent to .

  Specified by:
    `subMap` in interface `NavigableMap`
  Throws:
    `java.lang.ClassCastException`
    `java.lang.NullPointerException`
    `java.lang.IllegalArgumentException`

### headMap

    public java.util.SortedMap headMap(java.lang.Object toKey)

  Description copied from interface: `NavigableMap`

  Equivalent to .

  Specified by:
    `headMap` in interface `NavigableMap`
  Throws:
    `java.lang.ClassCastException`
    `java.lang.NullPointerException`
    `java.lang.IllegalArgumentException`

### tailMap

    public java.util.SortedMap tailMap(java.lang.Object fromKey)

  Description copied from interface: `NavigableMap`

  Equivalent to .

  Specified by:
    `tailMap` in interface `NavigableMap`
  Throws:
    `java.lang.ClassCastException`
    `java.lang.NullPointerException`
    `java.lang.IllegalArgumentException`

### descendingMap

    public NavigableMap descendingMap()

  Returns a reverse order view of the mappings contained in this map. The descending map is backed by this map, so changes to the map are reflected in the descending map, and vice-versa.

  The returned map has an ordering equivalent to ``Collections.reverseOrder`(comparator())`. The expression returns a view of essentially equivalent to .

  Specified by:
    `descendingMap` in interface `NavigableMap`
  Returns:
    a reverse order view of this map

### navigableKeySet

    public NavigableSet navigableKeySet()

  Returns a `NavigableSet` view of the keys contained in this map. The set's iterator returns the keys in ascending order. The set is backed by the map, so changes to the map are reflected in the set, and vice-versa. The set supports element removal, which removes the corresponding mapping from the map, via the , , , , and operations. It does not support the or operations.

  The view's is a "weakly consistent" iterator that will never throw `ConcurrentModificationException`, and guarantees to traverse elements as they existed upon construction of the iterator, and may (but is not guaranteed to) reflect any modifications subsequent to construction.

  Specified by:
    `navigableKeySet` in interface `NavigableMap`
  Returns:
    a navigable set view of the keys in this map

### keySet

    public java.util.Set keySet()

  Returns a `NavigableSet` view of the keys contained in this map. The set's iterator returns the keys in ascending order. The set is backed by the map, so changes to the map are reflected in the set, and vice-versa. The set supports element removal, which removes the corresponding mapping from the map, via the , , , , and operations. It does not support the or operations.

  The view's is a "weakly consistent" iterator that will never throw `ConcurrentModificationException`, and guarantees to traverse elements as they existed upon construction of the iterator, and may (but is not guaranteed to) reflect any modifications subsequent to construction.

  This method is equivalent to method .

  Specified by:
    `keySet` in interface `java.util.Map`
  Returns:
    a navigable set view of the keys in this map

### descendingKeySet

    public NavigableSet descendingKeySet()

  Returns a reverse order `NavigableSet` view of the keys contained in this map. The set's iterator returns the keys in descending order. The set is backed by the map, so changes to the map are reflected in the set, and vice-versa. The set supports element removal, which removes the corresponding mapping from the map, via the , , , , and operations. It does not support the or operations.

  The view's is a "weakly consistent" iterator that will never throw `ConcurrentModificationException`, and guarantees to traverse elements as they existed upon construction of the iterator, and may (but is not guaranteed to) reflect any modifications subsequent to construction.

  Specified by:
    `descendingKeySet` in interface `NavigableMap`
  Returns:
    a reverse order navigable set view of the keys in this map

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD